Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 153042 - GtkDeprecationWarning: gtk.FALSE, gtk.TRUE
Summary: GtkDeprecationWarning: gtk.FALSE, gtk.TRUE
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-lvm
Version: rawhide
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Jim Parsons
QA Contact: Jim Parsons
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-01 04:01 UTC by Ricky Ng-Adam
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version: FC7 test 4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-28 17:44:18 UTC


Attachments (Terms of Use)

Description Ricky Ng-Adam 2005-04-01 04:01:04 UTC
Description of problem:

/usr/share/system-config-lvm/Volume_Tab_View.py:67: GtkDeprecationWarning:
gtk.FALSE is deprecated, use False instead
  self.treeview.set_headers_visible(FALSE)
/usr/share/system-config-lvm/InputController.py:611: GtkDeprecationWarning:
gtk.TRUE is deprecated, use True instead
  self.new_lv_linear_radio.set_active(TRUE)


Version-Release number of selected component (if applicable):

0.9.18-1.1

How reproducible:

always

Steps to Reproduce:
1. start program at console
2.
3.
  
Actual results:

extraneous warnings

Expected results:

no warnings

Additional info:

Most system-config-* have the same problems, I'm opening a bug for each.

Comment 1 Ricky Ng-Adam 2005-04-01 04:08:13 UTC
/usr/share/system-config-lvm/lvm_model.py:151: GtkDeprecationWarning: gtk.FALSE
is deprecated, use False instead
  if initialized:
/usr/share/system-config-lvm/renderer.py:1276: GtkDeprecationWarning: gtk.TRUE
is deprecated, use True instead


Comment 2 Jim Parsons 2005-05-23 19:30:01 UTC
This is fixed in the latest build (0.9.29-1.0)

Comment 3 Jim Parsons 2005-05-23 19:32:07 UTC
sorry -- it is in 0.9.27-1.0.....not 0.9.29 :-/

Comment 4 David Lawrence 2006-07-18 03:47:27 UTC
QA_READY has been deprecated in favor of ON_QA. Please use ON_QA in the future.
Moving to ON_QA.

Comment 5 Ricky Ng-Adam 2007-04-28 17:44:18 UTC
system-config-lvm doesn't seem to emit any warnings in FC7 test 4.


Note You need to log in before you can comment on or make changes to this bug.